This topic describes supported operating systems and database versions for SAP ASE.

Supported Operating Systems and Database Versions for SAP ASE

Source and Target OS and DBMS Compatibility

The source and target must be running the same DBMS/Operating System combination, (although users can run different patch/sp levels) in order to successfully provision a VDB to the target. For example, if the source is running SAP ASE 16, the target can be running ASE 16SP1. However, for ASE 15.7 the versions of the source and target should both be in the 15.7 SP100 to 15.7 SP140 or 15.7 ESD#1 to 15.7 SP64 ranges. There can be no mixing of versions between these two ranges. If the target is used as a staging server, the same rule applies (prior to Delphix 5.2.5.0, the staging server had to match the source server's version down to the SP level). The Operating System platform must be the same between the source and target, even when the operating system version may differ. For example, if the source is running Red Hat Enterprise Linux 6.2 x86_64 then the target could be running Red Hat Enterprise Linux 6.4 x86_64, but not Solaris 10 SPARC.

Delphix 5.2.5.0 and higher relaxes Delphix's version checking of the staging instance. ASE itself may or may not allow the MOUNT command to work between versions. Be sure to check that the UNMOUNT and MOUNT commands work between your desired ASE versions.

So for example, if we upgraded the ASE staging instance to ASE 15.7 SP140 but we keep the ASE instance hosting the VDBs at ASE 15.7 SP135, we would want to make sure that we can UNMOUNT a database from ASE 15.7 SP140 and then MOUNT it on ASE 15.7 SP135:

isql -Usa -Psybase -SASE157SP140 
1> UNMOUNT DATABASE testdb to "/tmp/manifest"
2> GO

isql -Usa -Psybase -S ASE157SP135
1> MOUNT DATABASE testdb from "/tmp/manifest"
2> go
Msg 14580, Level 16, State 1:
Server 'ASE157SP135', Line 1:
You cannot mount the database(s) because at least one database contains functionality that is available only on the server on which it originated.


In the above example, ASE would not allow the database "testdb" to be mounted on the older release of ASE.


64-bit OS support only

Red Hat Enterprise Linux (RHEL)


Supported DBMS Version
ASE 15.0.3ASE 15.5ASE 15.7ASE 16


























Supported OS Version
RHEL 5.5SupportedSupportedSupportedN/A
RHEL 5.6SupportedSupportedSupportedN/A
RHEL 5.7SupportedSupportedSupportedN/A
RHEL 5.8SupportedSupportedSupportedN/A
RHEL 5.9SupportedSupportedSupportedN/A
RHEL 5.10SupportedSupportedSupportedN/A
RHEL 5.11SupportedSupportedSupportedN/A
RHEL 6.0Not SupportedNot SupportedNot SupportedN/A
RHEL 6.1Not SupportedNot SupportedNot SupportedNot Supported
RHEL 6.2SupportedSupportedSupportedNot Supported
RHEL 6.3SupportedSupportedSupportedNot Supported
RHEL 6.4SupportedSupportedSupportedNot Supported
RHEL 6.5SupportedSupportedSupportedSupported
RHEL 6.6SupportedSupportedSupportedSupported
RHEL 6.7SupportedSupportedSupportedSupported
RHEL 6.8SupportedSupportedSupportedSupported
RHEL 6.9SupportedSupported
Supported
Supported
RHEL 6.10SupportedSupportedSupportedSupported
RHEL 7.0N/AN/ASupportedSupported
RHEL 7.1N/AN/ASupportedSupported
RHEL 7.2N/AN/ASupportedSupported
RHEL 7.3N/AN/ASupportedSupported
RHEL 7.4N/AN/ASupportedSupported
RHEL 7.5N/AN/ASupportedSupported


SUSE Linux Enterprise Server (SLES)


Supported DBMS Version

ASE 15.0.3ASE 15.5ASE 15.7ASE 16














Supported OS Version
SLES 11SupportedNot SupportedNot SupportedNot Supported
SLES 11 SP1SupportedNot SupportedNot SupportedNot Supported
SLES 11 SP2SupportedNot SupportedNot SupportedNot Supported
SLES 11 SP3SupportedNot SupportedNot SupportedNot Supported
SLES 11 SP4SupportedNot SupportedNot SupportedNot Supported
SLES 12Not SupportedNot SupportedNot SupportedNot Supported
SLES 12 SP1Not SupportedNot SupportedNot SupportedNot Supported
SLES 12 SP2Not SupportedNot SupportedNot SupportedNot Supported
SLES 12 SP3Not SupportedNot SupportedNot SupportedNot Supported


Solaris Sparc


Supported DBMS Version

ASE 15.0.3ASE 15.5ASE 15.7ASE 16





















Supported OS Version
Solaris 10 U9SupportedSupportedSupportedNot Supported
Solaris 10 U10SupportedSupportedSupportedNot Supported
Solaris 10 U11SupportedSupportedSupportedNot Supported
Solaris 11Not SupportedNot SupportedNot SupportedNot Supported
Solaris 11 U1Not SupportedNot SupportedNot SupportedNot Supported
Solaris 11 U2Not SupportedNot SupportedNot SupportedNot Supported
Solaris 11 U3Not SupportedNot SupportedSupportedNot Supported
Solaris 11 U4Not SupportedNot SupportedNot SupportedNot Supported


Solaris x86


Supported DBMS Version

ASE 15.0.3ASE 15.5ASE 15.7ASE 16


Supported OS Version

Solaris 10 U9SupportedSupportedSupportedNot Supported

Solaris 10 U10SupportedSupportedSupportedNot Supported

Solaris 10 U11N/AN/ASupportedNot Supported

Solaris 11N/AN/ASupportedSupported

Solaris 11 U1N/AN/ASupportedSupported

Solaris 11 U2N/AN/ASupportedSupported

Solaris 11 U3N/AN/ASupportedSupported

Solaris 11 U4N/AN/ANot SupportedNot Supported


Hewlett Packard Unix (HP-UX)


Supported DBMS Version

ASE 15.0.3ASE 15.5ASE 15.7ASE 16




Supported OS Version
HP-UX 11.31Not SupportedNot SupportedNot SupportedNot Supported


Advanced Interactive eXecutive (AIX)


Supported DBMS Version

ASE 15.0.3ASE 15.5ASE 15.7ASE 16






Supported OS Version
AIX 6.1SupportedNot SupportedSupportedNot Supported
AIX 7.1Not SupportedNot SupportedSupportedNot Supported
AIX 7.2Not SupportedNot SupportedSupportedSupported

Related Links